Skip to main content
GET
Get transfer
For more information, please visit the INTX Java SDK.

Authorizations

CB-ACCESS-KEY
string
header
required

The Client ID that owns the API Key for the request

CB-ACCESS-PASSPHRASE
string
header
required

The pass phrase affiliated with the API Key

CB-ACCESS-SIGN
string
header
required

A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY

CB-ACCESS-TIMESTAMP
string
header
required

The timestamp of when the request is being made

Path Parameters

transfer_uuid
string<uuid>
required

The UUID of the transfer request

Response

Matching transfer

transfer_uuid
string<uuid>

A unique identifier for the transfer

Example:

"7975e6ab-57ed-4751-b359-13f63f4da793"

transfer_type
enum<string>

The type of transfer

Available options:
DEPOSIT,
WITHDRAW,
STIPEND,
INTERNAL,
FUNDING,
ALL,
LOAN_ACQUIRE,
LOAN_REPAY,
LOAN_INTEREST_CHARGE,
REAL_TIME_SETTLEMENT,
ALL_LOANS,
LIQUIDATION_EQUITY_CLAWBACK,
POSITION_TRANSFER,
REV_SHARE,
USDC_REWARD
Example:

"DEPOSIT"

amount
string

The amount of the asset being transferred. For position transfers, this represents the realized USDC PnL resulting from the transfer.

Example:

5100.5

asset
string

The asset being transferred. For position transfers, this is always USDC.

Example:

"USDC"

status
enum<string>

The current status of the transfer

Available options:
PROCESSED,
NEW,
FAILED,
STARTED
Example:

"PROCESSED"

network_name
string

The common name of the network on which the transfer occurred

Example:

"ethereum"

created_at
string<date-time>

The time the transfer was created

Example:

"2023-01-29T14:32:28.000Z"

updated_at
string<date-time>

The time of the most recent status change of the transfer

Example:

"2023-01-29T14:32:28.000Z"

from_portfolio
object

Portfolio identifiers of the transfer source. For position transfers, this represents the source of the realized USDC PnL movement.

to_portfolio
object

Portfolio identifiers of the transfer target. For position transfers, this represents the target of the realized USDC PnL movement.

from_address
string

blockchain address of transfer source

Example:

"0x29d2D586e222D0610b04e71974699589379F13b5"

to_address
string

blockchain address of transfer target

Example:

"0x29d2D586e222D0610b04e71974699589379F13b5"

from_cb_account
string

Coinbase account Id of transfer source

Example:

"64ac90a106d1db7863f9ab7d"

to_cb_account
string

Coinbase account Id of transfer target

Example:

"64ac90a106d1db7863f9ab7d"

from_counterparty_id
string

Coinbase counterparty Id of transfer source if it is a counterparty transfer

Example:

"CBTQDGENHE"

to_counterparty_id
string

Coinbase counterparty Id of transfer target if it is a counterparty transfer

Example:

"CBA6POFJW7"

instrument_id
string

The unique identifier of the instrument associated with the funding event or the position transfer event.

Example:

2562519737567269

instrument_symbol
string

The name of the instrument associated with the funding event or the position transfer event.

Example:

"BTC-PERP"

position_id
string

The ID of the position used to calculate the funding payment. Note: This field is not used by position transfer.

Example:

"14thr7ft-1-0"

txn_hash
string

transaction hash associated with an on-chain deposit or on-chain withdrawal

Example:

"Z3dQkmcWeuQxHKFPfsQs8QA8Jq9PFWr5yCwUjhQKcX5o99q3BmnyFfqZGNqRg9CWY9xV6QDBdDA9pH3AM6Ajpaq"

position_transfer_reference_id
string

The ID that links two position transfer events. A position transfer action generates two transfer events: one for the position_from_portfolio and one for the position_to_portfolio. Both events share the same position_transfer_reference_id.

Example:

"12thr7ft-1-0"

position_from_portfolio
object

portfolio identifiers of the position transfer source

position_to_portfolio
object

portfolio identifiers of the position transfer target

position_size
string

The size of the position being transferred.

Example:

2000.5

position_side
enum<string>

The side of the position being transferred.

Available options:
BUY,
SELL
Example:

"BUY"

position_price
string

The price of the position instrument being transferred.

Example:

10000.5